/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/adhoc.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/adhoc.xml',
'<View submitLabel="{message.XXX_BA_SEND}" title="Ad hoc form" >
   <EditFields>
     
	<Hidden id="PERSON_ID"/>
    <Hidden id="APPLICANT_LIST" />
    <Combolist id="TO" label="{message.XXAS_NOTIF_TO}"  enabled="false" multipleSelection="true" style="tags"/>
    <TextInput id="SUBJECT" label="{message.XXAS_NOTIF_SUBJECT}" required="true" />
    <TextArea id="MESSAGE" label="{message.XXAS_NOTIF_MSG}" required="true" description="{message.XXAS_APPL_STATUS_MSG_DESC}" />
  </EditFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/adhoc.xml');
END;
/
COMMIT;
EXIT;
